Subject: Re: [ovs-dev] [PATCH net v2] net: openvswitch: fix upcall counter access before allocation

From: Aaron Conole <[email-masked]>
Date: Mon, 12 Jun 2023 11:06:21 -0400

Simon Horman <[email-masked]> writes:

> On Wed, Jun 07, 2023 at 11:09:58AM +0200, Eelco Chaudron wrote:
>
> ...
>
>> >> We moved the per cpu upcall counter allocation to the existing vport
>> >> alloc and free functions to solve this.
>> >>
>> >> Fixes: 95637d91fefd ("net: openvswitch: release vport resources on
>> >> failure")
>> >> Fixes: 1933ea365aa7 ("net: openvswitch: Add support to count upcall
>> >> packets")
>> >> Signed-off-by: Eelco Chaudron <[email-masked]>
>> >> ---
>> >
>> > Acked-by: Aaron Conole <[email-masked]>
>> 
>> Were you intentionally ACKing this on Aaron’s behalf? Or just a cut/paste error ;)
>
> I was wondering that too.
> But then I concluded it was an artifact of top-posting or some
> other behaviour of the mail client.

Thankfully, I did ack the patch, but yes, this is something to be
careful.

To wangchuanlei <[email-masked]>, please read

  https://people.kernel.org/tglx/

Specifically, do not top-post for this and other reasons.